Summary:   multitail - MultiTail follows files in style, it is tail on steroids.
Name:      multitail
Version:   6.2.1
Release:   1.1
License:   GPL
Url:       http://www.vanheusden.com/multitail/
Group:     Console
Source:    %{name}-%{version}.tar.bz2
Patch1:	   %{name}-5.2.10.diff
BuildRoot: %{_tmppath}/%{name}-%{version}-root

BuildRequires: ncurses-devel glibc-devel gcc gcc-c++

%description
MultiTail lets you view one or multiple files like the original tail program. 
The difference is that it creates multiple windows on your console (with ncurses). 
It can also monitor wildcards: if another file matching the wildcard has a more recent modification date, 
it will automatically switch to that file. That way you can, for example, monitor a complete directory of files. 
Merging of 2 or even more logfiles is possible. It can also use colors while displaying the 
logfiles (through regular expressions), for faster recognition of what is important and what not. 
It can also filter lines (again with regular expressions). It has interactive menus for editing given 
regular expressions and deleting and adding windows. One can also have windows with the output of 
shell scripts and other software. When viewing the output of external software, 
MultiTail can mimic the functionality of tools like 'watch' and such.

%prep
%setup -q
%patch1 -p1
%build
CFLAGS="-I%{_includedir}/ncurses" %{__make}

%install
%__make DESTDIR=%{buildroot} install
mv %{buildroot}%{_sysconfdir}/multitail.conf.new %{buildroot}%{_sysconfdir}/multitail.conf
rm -rf %{buildroot}%{_datadir}/doc/%{name}-%{version}

%clean
rm -rf $RPM_BUILD_ROOT
rm -rf $RPM_BUILD_DIR/%{name}*

%files
%defattr(-,root,root,-)
%config(noreplace) %{_sysconfdir}/multitail.conf
%dir %{_sysconfdir}/multitail
%{_sysconfdir}/multitail/colors-example.pl
%{_sysconfdir}/multitail/colors-example.sh
%{_sysconfdir}/multitail/convert-geoip.pl
%{_sysconfdir}/multitail/convert-simple.pl
%{_bindir}/multitail
%{_mandir}/man1/multitail.1*
%doc INSTALL license.txt manual*.html readme.txt thanks.txt

%changelog
* Sun Feb 23 2014 cs@linux-administrator.com
- update to release 6.2.1
* Fri Nov 29 2013 cs@linux-administrator.com
- update to release 6.0
* Thu Jun 20 2013 cs@linux-administrator.com
- update to release 5.2.13
